<template>
    <el-form @submit.prevent :inline="true" :model="form-input" class="todo-form-input">
        <el-form-item label="Title" prop="title">
            <el-input v-model="formInput.title" placeholder="Type todo"></el-input>
        </el-form-item>
        <el-form-item>
            <el-button type="primary" @click="onSubmit()">
                Add
            </el-button>
        </el-form-item>
    </el-form>    
</template>

<script lang="ts">
import { ElMessage } from 'element-plus';
import { Options, Vue } from 'vue-class-component';
@Options({})
export default class TodoForm extends Vue {
    formInput = { title: "", completed: false }

    onSubmit(){
        // console.log("ToDo", this.formInput)
        if (this.formInput.title.length >3) {
            this.$emit('send-message', this.formInput);
        }
        else {
            ElMessage({
                message: "Oops! Todo is too short!",
                type: "warning"
            })
        }
        this.formInput.title = "";
    }
}
</script>